Skip to main content
DELETE
/
1
/
agents
/
{agentId}
/
conversations
curl
curl --request DELETE \
  --url 'https://example.algolia.net/agent-studio/1/agents/lorem/conversations?startDate=lorem&endDate=lorem' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}
Required ACL: logs

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

agentId
string
required

The agentId.

Query Parameters

endDate
string | null

Filter conversations created before this date (format: YYYY-MM-DD).

startDate
string | null

Filter conversations created after this date (format: YYYY-MM-DD).

Response

Successful Response.

Last modified on June 11, 2026